:root {
    --nar-color-error: #f4cccc;
    --nar-color-warning: #feedb2;
    --nar-color-success: #c1d9b7;
}

* {
    margin: 0;
    padding: 0;
}

    *,
    *::before,
    *::after {
        box-sizing: inherit;
    }

html {
    box-sizing: border-box;
    /*  font-size: 62.5%;*/
}


.bg-red {
    background-color: red;
}


.tox-tinymce-aux {
    z-index: 9999 !important;
}
/*.viewerContainer {
    background-color: #808080;
    margin: 0;
    padding: 0;
}

.bar {
    background: rgb(50,54,57);
    padding: 0px !important;
    margin: 0px
}*/



/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
    * {
    margin: 0;
    padding: 0;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff; 
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}*/

/*#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 3000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}*/

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

/* Hide the default scrollbar */
::-webkit-scrollbar {
    width: 8px !important;
    height: 5px !important
}

/* Track */
::-webkit-scrollbar-track {
    background-color: transparent !important;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background-color: #d6dee1 !important;
    border-radius: 20px !important;
    border: 1px solid transparent !important;
    background-clip: content-box !important;
}

.custom-footer {
    display: flex;
    justify-content: flex-start !important;
}

.actions {
    display: flex;
    justify-content: flex-start !important;
    padding: 24px !important;
}

.grecaptcha-badge {
    display: none !important;
}

.row {
    display: flex;
    gap: 5px;
}
/* added from Point details and other areas, isolated here to make easier to use */
.subheader-blue-italics {
    color: #4b5679;
    font-weight: 500;
    font-style: italic
}

.bg-yellow {
    background: #ffff99;
    border: 1px solid black;
    padding: 10px
}

.input_bg_yellow {
    background: #ffff99;
    width: 50%
}
.input_bg_yellow-100 {
    background: #ffff99;
    width: 100%
}

.input_bg_red {
    background: rgba(255,0,0,0.2);
    width: 50%
}
.input_bg_red-100 {
    background: rgba(255,0,0,0.2);
    width: 100%
}

.r_totals {
    padding: 0 6rem
}

.inputs_container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column
}

.total_text_container {
    align-self: end;
    text-align: end
}

.r_amount_due {
    display: flex;
    align-items: end;
    gap: 9px;
}

/* Make Required "*" red and easier to spot  */
.mud-input-control.mud-input-required > .mud-input-control-input-container > .mud-input-label::after {
    color: red;
    margin-left: 5px;
    font-weight: bold;
    font-size: larger;
}
.mud-input-control.mud-input-required > .mud-input-control-input-container > .mud-disabled.mud-input-label::after { color: darkgrey; }
/* mimic style for custom required */
.nk-custom-astrisk-error {
    color: red;
    font-weight: bold;
    font-size: larger;
}
.mud-disabled .nk-custom-astrisk-error, .mud-disabled.nk-custom-astrisk-error { color: darkgrey; }

@media (max-width: 768px) {
    /* Set all buttons to block elements */
    .custombutton {
        display: block !important;
        width: 100% !important;
        margin-bottom: 8px;
    }

    .custombutton-add {
        width: 100% !important;
        margin-bottom: 8px;
    }

    col {
        width: 100% !important
    }

    .contractHeaderDate {
        transform: translateX(0px) !important;
    }

    .fileUploadBtn {
        display: block !important;
        text-align: center !important;
    }

    .input_bg_yellow {
        width: 100%
    }

    .r_totals {
        padding: 0
    }

    .total_text_container {
        text-align: start
    }

    .r_amount_due {
        flex-direction:column
    }
}

/* If you want to enforce very custom css, you need to make sure to pull the exact css declaration/selector to update a given style */
/* Overrides?! */
.mud-container {
    margin-left: 0px;
    margin-right: 0px;
}
@media (min-width: 1920px) {
    .mud-container-maxwidth-xl {
        max-width: 100%;
    }
}
@media (min-width: 600px) {
    .mud-container--gutters {
        padding-left: 1%;
        padding-right: 1%;
    }
}
/* Override END */